_pkgname=panel
pkgname=astrapi-shell-extension-$_pkgname
pkgver=4
pkgrel=1
pkgdesc=""
arch=('any')
_url="https://gitlab.com/astrapi-os/shell-extension/$_pkgname"
url=""
license=('GPL3')
depends=('gnome-shell')
source=("https://gitlab.com/astrapi-os/shell-extensions/$_pkgname/-/releases/$pkgver/downloads/$_pkgname.zip")
sha256sums=('SKIP')

package() {
		
	cd $srcdir
	local uuid=$(grep -Po '(?<="uuid": ")[^"]*' metadata.json)
	local destdir="$pkgdir/usr/share/gnome-shell/extensions/$uuid"
	install -dm755 "$destdir"

	rm *.zip
	chmod 544 metadata.json

	cp -r * "$destdir"
}
